package cn.quantgroup.xyqb.event;

import cn.quantgroup.xyqb.entity.UserDetail;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

@Getter
public class UserDetailUpdateEvent extends ApplicationEvent {
    /**
     * Create a new ApplicationEvent.
     *
     * @param source the object on which the event initially occurred (never {@code null})
     */
    public UserDetailUpdateEvent(Object source) {
        super(source);
    }

    private UserDetail userDetail;

    public UserDetailUpdateEvent(Object source, UserDetail userDetail) {
        super(source);
        this.userDetail = userDetail;
    }
}
